#include "editwindow.h"
#include "ui_editwindow.h"

EditWindow::EditWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::EditWindow)
{
    ui->setupUi(this);
}

EditWindow::~EditWindow()
{
    delete ui;
}

void EditWindow::_setSelected(long ID,MainWindow* _main,QTreeWidgetItem* sel){
    mainWindow=_main;
    id=ID;
    LastItem=sel;
    QList<QStringList> list=mainWindow->_getSqlArray("Select id,author,title,date,path,subject,Identifier,language,rating,description from Buecher where id='"+QString::number(ID)+"'");
    for(int i = 0; i < list[0].count() ; i++){
        ui->l_ID->setText(QString(list[0][i]));
        ui->e_Autor->setText(QString(list[1][i]));
        ui->e_Title->setText(QString(list[2][i]));
        ui->e_Erstelldatum->setText(QString(list[3][i]));
        ui->e_Pfad->setText(QString(list[4][i]));
        ui->e_Genre->setText(QString(list[5][i]));
        ui->e_Identifier->setText(QString(list[6][i]));
        ui->e_Sprache->setText(QString(list[7][i]));
        ui->l_Bewertung->setText(QString(list[8][i]));
        ui->et_Beschreibung->setPlainText(QString(list[9][i]));
    }
}

void EditWindow::on_selPath_clicked()
{
    QString fileName = QFileDialog::getOpenFileName(this,"Open File","","Epubs (*.epub)");
    ui->e_Pfad->setText(fileName);
}

void EditWindow::on_save_clicked()
{   mainWindow->_msg(ui->et_Beschreibung->toPlainText());
    mainWindow->_SqlExec("UPDATE Buecher SET id=\""+ui->l_ID->text()+"\",author=\""+ui->e_Autor->text()
                         +"\",title=\""+ui->e_Title->text()+"\",date=\""+ui->e_Erstelldatum->text()
                         +"\",path=\""+ui->e_Pfad->text()+"\",subject=\""+ui->e_Genre->text()
                         +"\",Identifier=\""+ui->e_Identifier->text()+"\",language=\""+ui->e_Sprache->text()
                         +"\",rating=\""+ui->l_Bewertung->text()+"\",description=\""+ui->et_Beschreibung->toPlainText()
                         +"\" WHERE id='"+QString::number(id)+"'");
    LastItem->setText(0,ui->l_ID->text());
    LastItem->setText(1,ui->e_Title->text());
    LastItem->setText(2,ui->e_Autor->text());
    LastItem->setText(3,ui->e_Genre->text());
    LastItem->setText(4,ui->l_Bewertung->text());
    LastItem->setText(5,ui->e_Pfad->text());
    LastItem->setText(6,ui->e_Sprache->text());
    on_cancel_clicked();
}

void EditWindow::on_cancel_clicked()
{
    delete ui;
    this->hide();
}
