#include "sql_konsole.h"
#include "ui_sql_konsole.h"

SQL_Konsole::SQL_Konsole(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::SQL_Konsole)
{
    ui->setupUi(this);
    QString l="#Alles hinter der # wird als Kommentar gewertet\n";
    ui->textEdit->setText(l+
                      "#select * from Buecher where id<100 #Buechertabelle anzeigen\n"+
                      "#delete from Buecher where id=-1 #Buch löschen\n"+
                      "#INSERT INTO Buecher(id) VALUES (29) #Buch eintragen (Für Werte siehe Select)\n"+
                      "#UPDATE Buecher SET id = '-1' WHERE id='-1' #Eintrag ändern\n"
                        );
}

SQL_Konsole::~SQL_Konsole()
{
    delete ui;
}

void SQL_Konsole::setWin(MainWindow* x){
    mainWindow=x;
}

void SQL_Konsole::on_pushButton_clicked()
{
    QString commands=ui->textEdit->toPlainText();
    QStringList CLines=commands.split("\n");
    foreach (QString Line,CLines) {
        QStringList CmdLines=Line.split("#");
        QString x=CmdLines.first();
        if(x!=""){
            if(x.contains("select")){
                QList<QStringList> selList=mainWindow->_getSqlArray(x);
                mainWindow->_fillListView(selList,true,true);
            }
            else{
                mainWindow->_SqlExec(x);
            }
        }
    }
}

void SQL_Konsole::on_pushButton_2_clicked()
{
    delete ui;
    this->hide();
}
